### Method

# Gtk FileChooser get_file

deprecated: 4.10

#### Declaration [src]

    GFile*
    gtk_file_chooser_get_file (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the `GFile` for the currently selected file in the file selector.

If multiple files are selected, one of the files will be returned at random.

If the file chooser is in folder mode, this function returns the selected folder.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Return value

Type: `GFile`

A selected `GFile`. You own the returned file; use `g_object_unref()` to release it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.